org.jgrapht.event

## Class ConnectedComponentTraversalEvent

- java.lang.Object
- - java.util.EventObject
  - - org.jgrapht.event.ConnectedComponentTraversalEvent

- All Implemented Interfaces:
    Serializable

      public class ConnectedComponentTraversalEvent
      extends EventObject

  A traversal event with respect to a connected component.
  Since:
    Aug 11, 2003
  Author:
    Barak Naveh
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONNECTED_COMPONENT_FINISHED` Connected component traversal finished event.
    `static int` | `CONNECTED_COMPONENT_STARTED` Connected component traversal started event.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedComponentTraversalEvent(Object eventSource, int type)` Creates a new ConnectedComponentTraversalEvent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()` Returns the event type.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTED_COMPONENT_STARTED

          public static final int CONNECTED_COMPONENT_STARTED

      Connected component traversal started event.
      See Also:
        Constant Field Values

    - #### CONNECTED_COMPONENT_FINISHED

          public static final int CONNECTED_COMPONENT_FINISHED

      Connected component traversal finished event.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConnectedComponentTraversalEvent

          public ConnectedComponentTraversalEvent(Object eventSource,
                                          int type)

      Creates a new ConnectedComponentTraversalEvent.
      Parameters:
        `eventSource` - the source of the event.
        `type` - the type of event.

  - ### Method Detail

    - #### getType

          public int getType()

      Returns the event type.
      Returns:
        the event type.

Copyright © 2016. All rights reserved.